#!/bin/sh
# Reads upstart fifo and converts legal commands to initctl calls.


while true; do
    read a
    case "$a" in
        VIDEO_END | \
        CELLUI_READY | \
        PIN_CODE_DONE | \
        DEVLOCK_WINDOW_READY | \
        DEVICE_LOCK_DONE | \
        CONNDLGS_READY | \
        SWIPE_TUTORIAL_DONE | \
        START_MESSAGESERVER | \
        START_TWITTER_D | \
        START_FACEBOOK_D)
            echo "ui-startup: (`cut -d " " -f 1 /proc/uptime`) fifo got $a"
            initctl emit --no-wait "$a"
            ;;
        EMERGENCY_CALL_START)
            echo "ui-startup: EMERGENCY_CALL_START, pause boot"
            touch /var/run/emergency_call
            stop xsession/group-load-launcher
            stop xsession/tracker-miner
            stop xsession/smartsearch
            stop boot-watchdog
            start xsession/nped
            ;;
        EMERGENCY_CALL_END)
            echo "ui-startup: EMERGENCY_CALL_END, resume boot"
            rm -f /var/run/emergency_call
            start boot-watchdog
            start xsession/group-load-launcher
            ;;
        *)
            echo "WARNING: Upstart fifo got unsupported signal $a"
            ;;
     esac
done <> /var/run/upstart.fifo
